[Numpy-discussion] distutils problem with NumPy-1.4 & Py-2.7a3 (Snow Leopard)

Bruce Southey bsouthey@gmail....
Wed Feb 24 11:44:24 CST 2010


On Wed, Feb 24, 2010 at 11:21 AM, Bruce Southey <bsouthey@gmail.com> wrote:
> On 02/23/2010 04:47 PM, Robert Kern wrote:
>>
>> On Tue, Feb 23, 2010 at 13:18, Tom Loredo<loredo@astro.cornell.edu>
>>  wrote:
>>
>>>
>>> Hi-
>>>
>>> I've been testing Python-2.7a3 on Mac OS 10.6.2.  NumPy-1.4.0 will
>>> not install; it appears something has changed within distutils that
>>> breaks it:
>>>  File
>>> "/Volumes/System/Users/loredo/Downloads/numpy-1.4.0-OSX/numpy/distutils/ccompiler.py",
>>> line 17, in<module>
>>>    _old_init_posix = distutils.sysconfig._init_posix
>>> AttributeError: 'module' object has no attribute '_init_posix'
>>>
>>
>> This line is actually unused. You may delete it.
>>
>>
>
> Hi,
> I have created ticket 1409 with a patch to remove the associated code in
> ccompiler.py file.
> http://projects.scipy.org/numpy/ticket/1409
>
> Also, I added ticket 1410 to get DistutilsExecError imported by Python 2.7
> in the same file
> http://projects.scipy.org/numpy/ticket/1410
>
> With these two patches Python 2.7 alpha 3 should build numpy.
>
> Bruce
>
>
>

Sorry,

The last ticket is redundant given Ticket 1355 which includes
additional import changes that need to be applied
http://projects.scipy.org/numpy/ticket/1355

Also,Ticket 1345 is still relevant to Python 2.7:
http://projects.scipy.org/numpy/ticket/1345

Bruce


More information about the NumPy-Discussion mailing list